import type { RemoveLeagueMemberResult } from '@core/racing/application/use-cases/RemoveLeagueMemberUseCase';
import type { UseCaseOutputPort } from '@core/shared/application/UseCaseOutputPort';
import type { RemoveLeagueMemberOutputDTO } from '../dtos/RemoveLeagueMemberOutputDTO';

export class RemoveLeagueMemberPresenter implements UseCaseOutputPort<RemoveLeagueMemberResult> {
  private result: RemoveLeagueMemberOutputDTO | null = null;

  reset() {
    this.result = null;
  }

  present(result: RemoveLeagueMemberResult): void {
    void result;

    this.result = {
      success: true,
    };
  }

  getViewModel(): RemoveLeagueMemberOutputDTO | null {
    return this.result;
  }
}